 /*---------------------------------------------------------------------------
                  Copyright (c) 2005 demmel products
         This example demo code is provided as is and has no warranty,
     implied or otherwise.  You are free to use/modify any of the provided
    code at your own risk in your applications with the expressed limitation
    of liability (see below) so long as your product using the code contains
                      at least one uPSD products (device).

    LIMITATION OF LIABILITY:   NEITHER demmel products NOR ITS VENDORS OR
   AGENTS SHALL BE LIABLE FOR ANY LOSS OF PROFITS, LOSS OF USE, LOSS OF DATA,
       INTERRUPTION OF BUSINESS, NOR FOR INDIRECT, SPECIAL, INCIDENTAL OR
       CONSEQUENTIAL DAMAGES OF ANY KIND WHETHER UNDER THIS AGREEMENT OR
         OTHERWISE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
  --------------------------------------------------------------------------*/

#ifndef I_hardware
#define I_hardware

#include <reg51.h>

// MCU oscillator freq in KHz (not MHz)
#define FREQ_OSC  		36000

// Set I2C address
#define I2C_ADDRESS	0x88

// Adapt port pins SCL (I2C clock) and SDA (I2C data) to your needs below.
sbit SCL_PIN =	P1^6;
sbit SDA_PIN =	P1^7;

#endif
